Sickbeard Plugin - Sickrage won't start

    • OMV 2.x

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Sickbeard Plugin - Sickrage won't start

      Hoping someone can help me out. I just did a fresh install of Stone Burner and installed all the plugins I wanted but for some reason the SickRage repo won't work. If I select the github.com/cytec/Sick-Beard.git repo it starts fine, but if I move to the github.com/SiCKRAGETV/SickRage.git repo it cannot connect to the page. Checking the services shows that SickBeard isn't running. I try to start it from the CLI using # service sickbeard status and it won't start. Any help would be welcome. I am willing to grant remote access through teamviewer if that will help.


      Thanks!
      Asus P5N-D LGA755 MoBo
      Intel Core 2 Quad 2.7 gHz
      8 GB 877Mhz DDR2 RAM
      IBM 1015 flashed to 9221-8i - IT mode w/o Option Rom
      Running OpenMediaVault 2.2.1
      OS => 1x320 GB HDD Partitioned 50/Remain for local storage & downloads
      Media => 4x3TB HDD's Software RAID 5
      Data => 3x500GB HDD's Software RAID 5
    • I tried adding a different fork (github.com/SickRage/SickRage.git) and it works now. Is there a difference between the two or is it better to do what you suggested?
      Asus P5N-D LGA755 MoBo
      Intel Core 2 Quad 2.7 gHz
      8 GB 877Mhz DDR2 RAM
      IBM 1015 flashed to 9221-8i - IT mode w/o Option Rom
      Running OpenMediaVault 2.2.1
      OS => 1x320 GB HDD Partitioned 50/Remain for local storage & downloads
      Media => 4x3TB HDD's Software RAID 5
      Data => 3x500GB HDD's Software RAID 5
    • If it does what you want then i would carry on using it.

      There have been discussions on what version to use but at the end of the day its a personal choice.

      What I am watching/watched on my Popcorn Hour media player
      omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
      MySQL (Percona) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS
    • pip install -r /opt/couchpotato/requirements-dev.txt

      Most python apps use inbuilt modules and so don't require external modules this is fine but they don't get updated as often as external modules.
      I may add this to future version of the plugins if there is a noticeable increase in speed.

      What I am watching/watched on my Popcorn Hour media player
      omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
      MySQL (Percona) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS
    • jhmiller wrote:

      pip install -r /opt/couchpotato/requirements-dev.txt

      Most python apps use inbuilt modules and so don't require external modules this is fine but they don't get updated as often as external modules.
      I may add this to future version of the plugins if there is a noticeable increase in speed.
      I tried to run the command and it tells me that pip is not installed (-bash: pip: command not found)
      Asus P5N-D LGA755 MoBo
      Intel Core 2 Quad 2.7 gHz
      8 GB 877Mhz DDR2 RAM
      IBM 1015 flashed to 9221-8i - IT mode w/o Option Rom
      Running OpenMediaVault 2.2.1
      OS => 1x320 GB HDD Partitioned 50/Remain for local storage & downloads
      Media => 4x3TB HDD's Software RAID 5
      Data => 3x500GB HDD's Software RAID 5
    • kidlotus wrote:

      jhmiller wrote:

      pip install -r /opt/couchpotato/requirements-dev.txt

      Most python apps use inbuilt modules and so don't require external modules this is fine but they don't get updated as often as external modules.
      I may add this to future version of the plugins if there is a noticeable increase in speed.
      I tried to run the command and it tells me that pip is not installed (-bash: pip: command not found)
      apt-get install python-pip

      What I am watching/watched on my Popcorn Hour media player
      omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
      MySQL (Percona) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS
    • Mine did not, tested it before posting it.
      All it does is update/install modules in /usr/local/lib/python2.7/dist-packages it does nothing to your existing CP or SB install.

      What I am watching/watched on my Popcorn Hour media player
      omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
      MySQL (Percona) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS
    • jhmiller wrote:

      Mine did not, tested it before posting it.
      All it does is update/install modules in /usr/local/lib/python2.7/dist-packages it does nothing to your existing CP or SB install.
      This is the output from putty part one
      I have no idea what nose egg or mock is do i need to install them ?

      root@openmediavault://# pip install -r /opt/couchpotato/requirements-dev.txt
      Downloading/unpacking mock>=1.3.0 (from -r /opt/couchpotato/requirements-dev.txt (line 3))
      Downloading mock-2.0.0.tar.gz (73Kb): 73Kb downloaded
      Running setup.py egg_info for package mock
      [pbr] Processing SOURCES.txt
      warning: LocalManifestMaker: standard file '-c' not found

      warning: no previously-included files found matching '.gitignore'
      warning: no previously-included files found matching '.gitreview'
      warning: no previously-included files matching '*.pyc' found anywhere in distribution
      Downloading/unpacking nose>=1.3.1 (from -r /opt/couchpotato/requirements-dev.txt (line 4))
      Downloading nose-1.3.7.tar.gz (280Kb): 280Kb downloaded
      Running setup.py egg_info for package nose

      no previously-included directories found matching 'doc/.build'
      Downloading/unpacking nose-exclude>=0.4.1 (from -r /opt/couchpotato/requirements-dev.txt (line 5))
      Downloading nose-exclude-0.5.0.tar.gz
      Running setup.py egg_info for package nose-exclude

      Downloading/unpacking nose-htmloutput>=0.6.0 (from -r /opt/couchpotato/requirements-dev.txt (line 6))
      Downloading nose-htmloutput-0.6.0.tar.gz (71Kb): 71Kb downloaded
      Running setup.py egg_info for package nose-htmloutput

      warning: no directories found matching 'examples'
      warning: no files found matching '.pylintrc'
      warning: no previously-included files matching '*.py[co]' found anywhere in distribution
      warning: no previously-included files matching '__pycache__' found anywhere in distribution
      Downloading/unpacking coverage (from -r /opt/couchpotato/requirements-dev.txt (line 7))
      Downloading coverage-4.2.tar.gz (359Kb): 359Kb downloaded
      Running setup.py egg_info for package coverage

      warning: no previously-included files found matching 'ci/appveyor.token'
      no previously-included directories found matching 'doc/_build'
      no previously-included directories found matching 'tests/eggsrc/build'
      no previously-included directories found matching 'tests/eggsrc/dist'
      no previously-included directories found matching 'tests/eggsrc/*.egg-info'
      warning: no previously-included files matching '*.py[co]' found anywhere in distribution
      Downloading/unpacking coveralls (from -r /opt/couchpotato/requirements-dev.txt (line 8))
      Downloading coveralls-1.1.tar.gz
      Running setup.py egg_info for package coveralls

      Downloading/unpacking pep8>=1.4.6 (from -r /opt/couchpotato/requirements-dev.txt (line 9))
      Downloading pep8-1.7.0.tar.gz (79Kb): 79Kb downloaded
      Running setup.py egg_info for package pep8

      warning: no previously-included files matching '*.pyc' found under directory 'docs'
      warning: no previously-included files matching '*.pyo' found under directory 'docs'
      warning: no previously-included files matching '*.pyc' found under directory 'testsuite'
      warning: no previously-included files matching '*.pyo' found under directory 'testsuite'
      no previously-included directories found matching 'docs/_build'
      Downloading/unpacking rednose>=0.4.0 (from -r /opt/couchpotato/requirements-dev.txt (line 12))
      Downloading rednose-1.2.1.tar.gz
      Running setup.py egg_info for package rednose

      Downloading/unpacking funcsigs>=1 (from mock>=1.3.0->-r /opt/couchpotato/requirements-dev.txt (line 3))
      Downloading funcsigs-1.0.2.tar.gz
      Running setup.py egg_info for package funcsigs

      Requirement already satisfied (use --upgrade to upgrade): pbr>=0.11 in /usr/local/lib/python2.7/dist-packages (from mock>=1.3.0->-r /opt/couchpotato/requirements-dev.txt (line 3))
      Requirement already satisfied (use --upgrade to upgrade): six>=1.9 in /usr/local/lib/python2.7/dist-packages (from mock>=1.3.0->-r /opt/couchpotato/requirements-dev.txt (line 3))
      Downloading/unpacking Jinja2 (from nose-htmloutput>=0.6.0->-r /opt/couchpotato/requirements-dev.txt (line 6))
      Downloading Jinja2-2.8.tar.gz (357Kb): 357Kb downloaded
      Running setup.py egg_info for package Jinja2

      warning: no files found matching 'run-tests.py'
      warning: no files found matching '*' under directory 'custom_fixers'
      warning: no files found matching '*' under directory 'jinja2/testsuite/res'
      warning: no previously-included files matching '*' found under directory 'docs/_build'
      warning: no previously-included files matching '*.pyc' found under directory 'jinja2'
      warning: no previously-included files matching '*.pyc' found under directory 'docs'
      warning: no previously-included files matching '*.pyo' found under directory 'jinja2'
      warning: no previously-included files matching '*.pyo' found under directory 'docs'
      Downloading/unpacking docopt>=0.6.1 (from coveralls->-r /opt/couchpotato/requirements-dev.txt (line 8))
      Downloading docopt-0.6.2.tar.gz
      Running setup.py egg_info for package docopt

      Requirement already satisfied (use --upgrade to upgrade): requests>=1.0.0 in /usr/local/lib/python2.7/dist-packages (from coveralls->-r /opt/couchpotato/requirements-dev.txt (line 8))
      Requirement already satisfied (use --upgrade to upgrade): setuptools in /usr/local/lib/python2.7/dist-packages (from rednose>=0.4.0->-r /opt/couchpotato/requirements-dev.txt (line 12))
      Downloading/unpacking python-termstyle>=0.1.7 (from rednose>=0.4.0->-r /opt/couchpotato/requirements-dev.txt (line 12))
      Downloading python-termstyle-0.1.10.tar.gz
      Running setup.py egg_info for package python-termstyle

      Downloading/unpacking colorama (from rednose>=0.4.0->-r /opt/couchpotato/requirements-dev.txt (line 12))
      Downloading colorama-0.3.7.zip
      Running setup.py egg_info for package colorama

      Requirement already satisfied (use --upgrade to upgrade): MarkupSafe in /usr/local/lib/python2.7/dist-packages (from Jinja2->nose-htmloutput>=0.6.0->-r /opt/couchpotato/requirements-dev.txt (line 6))
      Installing collected packages: mock, nose, nose-exclude, nose-htmloutput, coverage, coveralls, pep8, rednose, funcsigs, Jinja2, docopt, python-termstyle, colorama
      Running setup.py install for mock
      [pbr] Generating AUTHORS
      [pbr] AUTHORS complete (0.0s)
      [pbr] Reusing existing SOURCES.txt
      Could not find .egg-info directory in install record for mock>=1.3.0 (from -r /opt/couchpotato/requirements-dev.txt (line 3))
      Running setup.py install for nose

      no previously-included directories found matching 'doc/.build'
      Installing nosetests script to /usr/local/bin
      Installing nosetests-2.7 script to /usr/local/bin
      Could not find .egg-info directory in install record for nose>=1.3.1 (from -r /opt/couchpotato/requirements-dev.txt (line 4))
      Running setup.py install for nose-exclude

      Could not find .egg-info directory in install record for nose-exclude>=0.4.1 (from -r /opt/couchpotato/requirements-dev.txt (line 5))
      Running setup.py install for nose-htmloutput

      warning: no directories found matching 'examples'
      warning: no files found matching '.pylintrc'
      warning: no previously-included files matching '*.py[co]' found anywhere in distribution
      warning: no previously-included files matching '__pycache__' found anywhere in distribution
      Could not find .egg-info directory in install record for nose-htmloutput>=0.6.0 (from -r /opt/couchpotato/requirements-dev.txt (line 6))
      Running setup.py install for coverage
      building 'coverage.tracer' extension
      gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fPIC -I/usr/include/python2.7 -c coverage/ctracer/datastack.c -o build/temp.linux-x86_64-2.7/coverage/ctracer/datastack.o
      gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fPIC -I/usr/include/python2.7 -c coverage/ctracer/filedisp.c -o build/temp.linux-x86_64-2.7/coverage/ctracer/filedisp.o
      gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fPIC -I/usr/include/python2.7 -c coverage/ctracer/module.c -o build/temp.linux-x86_64-2.7/coverage/ctracer/module.o
      gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fPIC -I/usr/include/python2.7 -c coverage/ctracer/tracer.c -o build/temp.linux-x86_64-2.7/coverage/ctracer/tracer.o
      gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro build/temp.linux-x86_64-2.7/coverage/ctracer/datastack.o build/temp.linux-x86_64-2.7/coverage/ctracer/filedisp.o build/temp.linux-x86_64-2.7/coverage/ctracer/module.o build/temp.linux-x86_64-2.7/coverage/ctracer/tracer.o -o build/lib.linux-x86_64-2.7/coverage/tracer.so

      warning: no previously-included files found matching 'ci/appveyor.token'
      no previously-included directories found matching 'doc/_build'
      no previously-included directories found matching 'tests/eggsrc/build'
      no previously-included directories found matching 'tests/eggsrc/dist'
      no previously-included directories found matching 'tests/eggsrc/*.egg-info'
      warning: no previously-included files matching '*.py[co]' found anywhere in distribution
      Installing coverage2 script to /usr/local/bin
      Installing coverage-2.7 script to /usr/local/bin
      Installing coverage script to /usr/local/bin
      Could not find .egg-info directory in install record for coverage (from -r /opt/couchpotato/requirements-dev.txt (line 7))
      Running setup.py install for coveralls
    • putty part two

      Installing coveralls script to /usr/local/bin
      Could not find .egg-info directory in install record for coveralls (from -r /opt/couchpotato/requirements-dev.txt (line 8))
      Running setup.py install for pep8

      warning: no previously-included files matching '*.pyc' found under directory 'docs'
      warning: no previously-included files matching '*.pyo' found under directory 'docs'
      warning: no previously-included files matching '*.pyc' found under directory 'testsuite'
      warning: no previously-included files matching '*.pyo' found under directory 'testsuite'
      no previously-included directories found matching 'docs/_build'
      Installing pep8 script to /usr/local/bin
      Could not find .egg-info directory in install record for pep8>=1.4.6 (from -r /opt/couchpotato/requirements-dev.txt (line 9))
      Running setup.py install for rednose

      Could not find .egg-info directory in install record for rednose>=0.4.0 (from -r /opt/couchpotato/requirements-dev.txt (line 12))
      Running setup.py install for funcsigs

      Could not find .egg-info directory in install record for funcsigs>=1 (from mock>=1.3.0->-r /opt/couchpotato/requirements-dev.txt (line 3))
      Running setup.py install for Jinja2

      warning: no files found matching 'run-tests.py'
      warning: no files found matching '*' under directory 'custom_fixers'
      warning: no files found matching '*' under directory 'jinja2/testsuite/res'
      warning: no previously-included files matching '*' found under directory 'docs/_build'
      warning: no previously-included files matching '*.pyc' found under directory 'jinja2'
      warning: no previously-included files matching '*.pyc' found under directory 'docs'
      warning: no previously-included files matching '*.pyo' found under directory 'jinja2'
      warning: no previously-included files matching '*.pyo' found under directory 'docs'
      Could not find .egg-info directory in install record for Jinja2 (from nose-htmloutput>=0.6.0->-r /opt/couchpotato/requirements-dev.txt (line 6))
      Running setup.py install for docopt

      Could not find .egg-info directory in install record for docopt>=0.6.1 (from coveralls->-r /opt/couchpotato/requirements-dev.txt (line 8))
      Running setup.py install for python-termstyle

      Could not find .egg-info directory in install record for python-termstyle>=0.1.7 (from rednose>=0.4.0->-r /opt/couchpotato/requirements-dev.txt (line 12))
      Running setup.py install for colorama

      Could not find .egg-info directory in install record for colorama (from rednose>=0.4.0->-r /opt/couchpotato/requirements-dev.txt (line 12))
      Successfully installed mock nose nose-exclude nose-htmloutput coverage coveralls pep8 rednose funcsigs Jinja2 docopt python-termstyle colorama
      Cleaning up...
      root@openmediavault://#
    • My output differs a lot from yours,

      Source Code

      1. Collecting nose-exclude>=0.4.1 (from -r requirements-dev.txt (line 5))
      2. Collecting nose-htmloutput>=0.6.0 (from -r requirements-dev.txt (line 6))
      3. Using cached nose_htmloutput-0.6.0-py2.py3-none-any.whl
      4. Collecting coverage (from -r requirements-dev.txt (line 7))
      5. Collecting coveralls (from -r requirements-dev.txt (line 8))
      6. Using cached coveralls-1.1-py2.py3-none-any.whl
      7. Collecting pep8>=1.4.6 (from -r requirements-dev.txt (line 9))
      8. Using cached pep8-1.7.0-py2.py3-none-any.whl
      9. Collecting rednose>=0.4.0 (from -r requirements-dev.txt (line 12))
      10. 100% |ââââââââââââââââââââââââââââââââ| 102kB 2.5MB/s
      11. Collecting funcsigs>=1; python_version < "3.3" (from mock>=1.3.0->-r requirements-dev.txt (line 3))
      12. Using cached funcsigs-1.0.2-py2.py3-none-any.whl
      13. Collecting six>=1.9 (from mock>=1.3.0->-r requirements-dev.txt (line 3))
      14. 100% |ââââââââââââââââââââââââââââââââ| 266kB 3.4MB/s
      15. Collecting docopt>=0.6.1 (from coveralls->-r requirements-dev.txt (line 8))
      16. 100% |ââââââââââââââââââââââââââââââââ| 471kB 2.0MB/s
      17. Collecting python-termstyle>=0.1.7 (from rednose>=0.4.0->-r requirements-dev.txt (line 12))
      18. Collecting colorama (from rednose>=0.4.0->-r requirements-dev.txt (line 12))
      19. Using cached colorama-0.3.7-py2.py3-none-any.whl
      20. Collecting MarkupSafe (from Jinja2->nose-htmloutput>=0.6.0->-r requirements-dev.txt (line 6))
      21. Downloading MarkupSafe-0.23.tar.gz
      22. Building wheels for collected packages: docopt, MarkupSafe
      23. Running setup.py bdist_wheel for docopt ... done
      24. Stored in directory: /root/.cache/pip/wheels/b2/16/5f/c33a2bb5f2dce71205f8e65cbfd05647d79d441282be31fd82
      25. Running setup.py bdist_wheel for MarkupSafe ... done
      26. Stored in directory: /root/.cache/pip/wheels/a3/fa/dc/0198eed9ad95489b8a4f45d14dd5d2aee3f8984e46862c5748
      27. Successfully built docopt MarkupSafe
      28. Installing collected packages: pbr, funcsigs, six, mock, nose, nose-exclude, MarkupSafe, Jinja2, nose-htmloutput, coverage, docopt, requests, coveralls, pep8, setuptools, python-termstyle, colorama, rednose
      29. Successfully installed Jinja2-2.6 MarkupSafe-0.23 colorama-0.3.7 coverage-4.2 coveralls-1.1 docopt-0.6.2 funcsigs-1.0.2 mock-2.0.0 nose-1.3.7 nose-exclude-0.5.0 nose-htmloutput-0.6.0 pbr-1.8.1 pep8-1.7.0 python-termstyle-0.1.10 rednose-1.2.1 requests-2.11.1 setuptools-20.2.2 six-1.10.0
      Display All

      What I am watching/watched on my Popcorn Hour media player
      omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
      MySQL (Percona) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS
    • So I tried twice to run the pip to use the fork that is default for SickRage in the plugin and each time it exploded. So I decided to stick with the repo I added above (github.com/SickRage/SickRage.git) and it's working for now. We'll just have to see if my configuration will take and the service will run properly.

      Thanks for the help jhmiller. :D
      Asus P5N-D LGA755 MoBo
      Intel Core 2 Quad 2.7 gHz
      8 GB 877Mhz DDR2 RAM
      IBM 1015 flashed to 9221-8i - IT mode w/o Option Rom
      Running OpenMediaVault 2.2.1
      OS => 1x320 GB HDD Partitioned 50/Remain for local storage & downloads
      Media => 4x3TB HDD's Software RAID 5
      Data => 3x500GB HDD's Software RAID 5